menuconfig LIGHT_ENABLE
    bool "Enable LIGHT"
    default n
if LIGHT_ENABLE
    menuconfig LIGHT_DRV_ENABLE
        bool "Enable LIGHT Driver"
        default n
        help
            Enable LIGHT Driver. Default is n.
    if LIGHT_DRV_ENABLE
        config LIGHT_DRV_NAME
            string "LIGHT Driver Name"
            default "light_drv"
            help
                Device name for LIGHT Driver. Default is light_drv.
        config LIGHT_PWM_NAME
            string "LIGHT PWM Device Name"
            default "pwm6"
            help
                PWM device name for LIGHT Driver. Default is pwm6.
        config LIGHT_PWM_CH
            int "LIGHT PWM Channel"
            default 1
            help
                PWM channel for LIGHT Driver. Default is 1.
    endif   
endif


